﻿;==============================================================================================================================================================================
; Copyrights, thank yous etc
;==============================================================================================================================================================================
; 
; ***Program***   
; ***License***   
; ***Credits***   
;                 
;============================================================================================================================================================================== 

EnableExplicit

;==============================================================================================================================================================================
; 
;==============================================================================================================================================================================

XIncludeFile  "MasterImport Test_MyDeclarations.pb"                                                   ; 
XIncludeFile  "MasterImport Test_MyConstants.pb"                                                      ; 

;==============================================================================================================================================================================
; Generic modules
;==============================================================================================================================================================================

XIncludeFile  "Modules\Generic\_KillQuote.pbi"                                                        ; Kill double quotes in strings read from a database
XIncludeFile  "Modules\Generic\_ProperCaseString.pbi"                                                 ; Set a string to be first letter uppcase for each word
XIncludeFile  "Modules\Generic\_RepQuote.pbi"                                                         ; ESCape single quote sequences into double quote sequences for storing text into a database
XIncludeFile  "Modules\Generic\_TextToXML.pbi"                                                        ; Replace bad characters with XML compatible ones. Thorsten Hoeppner
XIncludeFile  "Modules\Generic\_XMLToText.pbi"                                                        ; Strip illegal characters from text strings

;==============================================================================================================================================================================
; Custom modules
;==============================================================================================================================================================================

XIncludeFile  "Modules\Custom\_CorrectIngredientMeasure.pbi"                                         ; Correct single letter ingredient measure strings

;==============================================================================================================================================================================
; Database modules
;==============================================================================================================================================================================

XIncludeFile  "Modules\Database\_CountRecords.pbi"                                                    ; 
XIncludeFile  "Modules\Database\_DatabaseLastInsertRowId.pbi"                                         ; 
XIncludeFile  "Modules\Database\_OpenSystemDatabase.pbi"                                              ; Open and/or create the system database being used as well as all its child tables

;==============================================================================================================================================================================
; Import modules
;==============================================================================================================================================================================

XIncludeFile  "Modules\Import\_ImportFiles.pbi"                                                       ; Main import control procedure

XIncludeFile  "Modules\Import\_ClearRecipeStructure.pbi"                                              ; Clear the recipe structure in between recipe reads
XIncludeFile  "Modules\Import\_RecipeCRLFSpaceTrim.pbi"                                               ; Trim additional CR LF and spaces in front of input lines, InfraTec/Bernd

XIncludeFile  "Modules\Import\_ExtractFoodDateExchangeCompressedFile.pbi"                             ; Food Data Exchange Compressed FDXZ (DATA.XML)
XIncludeFile  "Modules\Import\_ImportFoodDataExchangeCompressedFile.pbi"                              ; 
XIncludeFile  "Modules\Import\_ImportFoodDataExchangeCompressedFile_XML.pbi"                          ; 

XIncludeFile  "Modules\Import\_ImportFoodDataExchangeFile.pbi"                                        ; Food Data Exchange Normal (Recipename.fdx)
XIncludeFile  "Modules\Import\_ImportFoodDataExchangeFile_XML.pbi"                                    ; 

XIncludeFile  "Modules\Import\_ImportMasterCookIFile.pbi"                                             ; MasterCook I (Recipename.MXP)

XIncludeFile  "Modules\Import\_ImportMasterCookIIFile.pbi"                                            ; MasterCook II (Recipename.MX2)
XIncludeFile  "Modules\Import\_ImportMasterCookIIFile_XML.pbi"                                        ; 

XIncludeFile  "Modules\Import\_ImportMealMasterFile.pbi"                                              ; MealMaster (Recipename.MMF)
;XIncludeFile  "Modules\Import\_ImportMealMasterIngredient.pbi"                                        ; 

XIncludeFile  "Modules\Import\_ImportNowYoureCookingFile.pbi"                                         ; Now You're Cooking (Recipename.NYC)
XIncludeFile  "Modules\Import\_ImportNowYoureCookingIngredient.pbi"                                   ; 

XIncludeFile  "Modules\Import\_ImportRecipeMLFile.pbi"                                                ; RecipeML  (Recipename.Recipeml)
XIncludeFile  "Modules\Import\_ImportRecipeMLFile_XML.pbi"                                            ; 

XIncludeFile  "Modules\Import\_ImportBigOvenFile.pbi"                                                 ; BigOven (Recipename.Crb)

XIncludeFile  "Modules\Import\_SaveImportRecipe.pbi"                                                  ; Common recipe structure save procedure

;==============================================================================================================================================================================
; Open the system database file
;==============================================================================================================================================================================

OpenSystemDatabase()                                                                                   ; 

;==============================================================================================================================================================================
; Get an FDX file from the user, decompress it and then parse it
;==============================================================================================================================================================================

ImportFiles()                                                                                          ;

;==============================================================================================================================================================================
; 
;==============================================================================================================================================================================

End                                                                                                    ;

;==============================================================================================================================================================================
; 
;==============================================================================================================================================================================



; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 66
; FirstLine = 48
; EnableAsm
; EnableUnicode
; EnableXP
; Executable = Flooble.exe