;================================================================================================================================================================================
; Count the number of records in an SQLite database
;================================================================================================================================================================================

Procedure.s CountRecords(QueryString.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Protected.s Records.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  If DatabaseQuery(Program\DatabaseHandle, QueryString.s)
    
    While NextDatabaseRow(Program\DatabaseHandle)
      
      Records.s = GetDatabaseString(Program\DatabaseHandle, 0)
    
    Wend
    
    ProcedureReturn Records.s
    
  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure



; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 10
; Folding = -
; DisableDebugger
; HideErrorLog