﻿;==============================================================================================================================================================================
; Format the ingredient string for Now You're Cooking
;==============================================================================================================================================================================

Procedure.s ImportNowYoureCookingIngredient(IngredientString.s)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  Protected Result.s, Help.s, i.i, Length.i, Pos.i
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  Length.i = Len(IngredientString.s)
  
  i = 1
  
  Help.s = Mid(IngredientString.s, i, 1)
  
  While (Asc(Help.s) < '9' Or Help.s = " " ) And i < Length.i
    
    Result.s + Mid(IngredientString.s, i, 1)
    
    i + 1
    
    Help.s = Mid(IngredientString.s, i, 1)
    
  Wend
  
  If Right(Result.s, 2) = "  "
    
    Help.s = "A"
    
  EndIf
  
  Result.s = Trim(Result.s) + "~"
 
  If Help.s = "A"
    
    Result.s + "~"
    
  Else
    
    Pos = FindString(IngredientString.s, " ", i)
    
    If Pos
      
      Result.s + Mid(IngredientString.s, i, Pos - i) + "~"
      
      i = Pos
      
    EndIf
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  Result.s + Trim(Mid(IngredientString.s, i))
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  ProcedureReturn Result.s
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 4
; Folding = -
; EnableXP