﻿;================================================================================================================================================================================
; Trim additional CR LF and spaces in front of input lines, InfraTec/Bernd
;================================================================================================================================================================================

Procedure.s RecipeCRLFSpaceTrim(RecipeString.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  RecipeString.s = Trim(RecipeString.s)           ; Trim spaces at the front and the back

  RecipeString.s = Trim(RecipeString.s, #CR$)     ; Trim extra carriage returns at the front and the back
  
  RecipeString.s = Trim(RecipeString.s, #LF$)     ; Trim extra line feeds at the front and the back
  
  RecipeString.s = Trim(RecipeString.s, #CR$)     ; Trim Extra carriage returns at the front and the back
  
  RecipeString.s = Trim(RecipeString.s)           ; Trim spaces at the front and the back

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ProcedureReturn RecipeString.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure 
; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 4
; Folding = -
; EnableXP